//
// Este archivo ha sido generado por la arquitectura JavaTM para la implantación de la referencia de enlace (JAXB) XML v2.2.8-b130911.1802 
// Visite <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Todas las modificaciones realizadas en este archivo se perderán si se vuelve a compilar el esquema de origen. 
// Generado el: 2023.03.24 a las 02:31:00 PM CET 
//


package com.ejie.ad74a.ws.client.platea.model.task;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.client.platea.model.task package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ExecutionOK_QNAME = new QName("com/ejie/mbt/xml", "executionOK");
    private final static QName _InFailCase_QNAME = new QName("com/ejie/mbt/xml", "inFailCase");
    private final static QName _Compare_QNAME = new QName("com/ejie/mbt/xml", "compare");
    private final static QName _StudyTaskDataResptarea_QNAME = new QName("com/ejie/mbt/xml", "resptarea");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.client.platea.model.task
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link NextSigners }
     * 
     */
    public NextSigners createNextSigners() {
        return new NextSigners();
    }

    /**
     * Create an instance of {@link Task }
     * 
     */
    public Task createTask() {
        return new Task();
    }

    /**
     * Create an instance of {@link DescriptionType }
     * 
     */
    public DescriptionType createDescriptionType() {
        return new DescriptionType();
    }

    /**
     * Create an instance of {@link WaitResult }
     * 
     */
    public WaitResult createWaitResult() {
        return new WaitResult();
    }

    /**
     * Create an instance of {@link AuthorizationInfo }
     * 
     */
    public AuthorizationInfo createAuthorizationInfo() {
        return new AuthorizationInfo();
    }

    /**
     * Create an instance of {@link PendingTaskList }
     * 
     */
    public PendingTaskList createPendingTaskList() {
        return new PendingTaskList();
    }

    /**
     * Create an instance of {@link PendingTask }
     * 
     */
    public PendingTask createPendingTask() {
        return new PendingTask();
    }

    /**
     * Create an instance of {@link BusinessTask }
     * 
     */
    public BusinessTask createBusinessTask() {
        return new BusinessTask();
    }

    /**
     * Create an instance of {@link Documents }
     * 
     */
    public Documents createDocuments() {
        return new Documents();
    }

    /**
     * Create an instance of {@link Document }
     * 
     */
    public Document createDocument() {
        return new Document();
    }

    /**
     * Create an instance of {@link DocumentDescriptors }
     * 
     */
    public DocumentDescriptors createDocumentDescriptors() {
        return new DocumentDescriptors();
    }

    /**
     * Create an instance of {@link Signatures }
     * 
     */
    public Signatures createSignatures() {
        return new Signatures();
    }

    /**
     * Create an instance of {@link CheckSignatures }
     * 
     */
    public CheckSignatures createCheckSignatures() {
        return new CheckSignatures();
    }

    /**
     * Create an instance of {@link RejectTaskData }
     * 
     */
    public RejectTaskData createRejectTaskData() {
        return new RejectTaskData();
    }

    /**
     * Create an instance of {@link PrivateDocuments }
     * 
     */
    public PrivateDocuments createPrivateDocuments() {
        return new PrivateDocuments();
    }

    /**
     * Create an instance of {@link DocumentTypeList }
     * 
     */
    public DocumentTypeList createDocumentTypeList() {
        return new DocumentTypeList();
    }

    /**
     * Create an instance of {@link AttDocInfo }
     * 
     */
    public AttDocInfo createAttDocInfo() {
        return new AttDocInfo();
    }

    /**
     * Create an instance of {@link FolderDocuments }
     * 
     */
    public FolderDocuments createFolderDocuments() {
        return new FolderDocuments();
    }

    /**
     * Create an instance of {@link TUpdateDocumentsInfoList }
     * 
     */
    public TUpdateDocumentsInfoList createTUpdateDocumentsInfoList() {
        return new TUpdateDocumentsInfoList();
    }

    /**
     * Create an instance of {@link TDocumentsTelematicsActionsList }
     * 
     */
    public TDocumentsTelematicsActionsList createTDocumentsTelematicsActionsList() {
        return new TDocumentsTelematicsActionsList();
    }

    /**
     * Create an instance of {@link TGeneratedDocumentList }
     * 
     */
    public TGeneratedDocumentList createTGeneratedDocumentList() {
        return new TGeneratedDocumentList();
    }

    /**
     * Create an instance of {@link BusinessTaskList }
     * 
     */
    public BusinessTaskList createBusinessTaskList() {
        return new BusinessTaskList();
    }

    /**
     * Create an instance of {@link StoredocumentTaskData }
     * 
     */
    public StoredocumentTaskData createStoredocumentTaskData() {
        return new StoredocumentTaskData();
    }

    /**
     * Create an instance of {@link RolID }
     * 
     */
    public RolID createRolID() {
        return new RolID();
    }

    /**
     * Create an instance of {@link SignersDefaultType }
     * 
     */
    public SignersDefaultType createSignersDefaultType() {
        return new SignersDefaultType();
    }

    /**
     * Create an instance of {@link OutputRegisterInfoType }
     * 
     */
    public OutputRegisterInfoType createOutputRegisterInfoType() {
        return new OutputRegisterInfoType();
    }

    /**
     * Create an instance of {@link Notification }
     * 
     */
    public Notification createNotification() {
        return new Notification();
    }

    /**
     * Create an instance of {@link DeliveredNotificationTaskData }
     * 
     */
    public DeliveredNotificationTaskData createDeliveredNotificationTaskData() {
        return new DeliveredNotificationTaskData();
    }

    /**
     * Create an instance of {@link NextSigners.Signer }
     * 
     */
    public NextSigners.Signer createNextSignersSigner() {
        return new NextSigners.Signer();
    }

    /**
     * Create an instance of {@link AuthorizedPersons }
     * 
     */
    public AuthorizedPersons createAuthorizedPersons() {
        return new AuthorizedPersons();
    }

    /**
     * Create an instance of {@link AuthorizedPerson }
     * 
     */
    public AuthorizedPerson createAuthorizedPerson() {
        return new AuthorizedPerson();
    }

    /**
     * Create an instance of {@link NotificationList }
     * 
     */
    public NotificationList createNotificationList() {
        return new NotificationList();
    }

    /**
     * Create an instance of {@link RequestSignatureDocuments }
     * 
     */
    public RequestSignatureDocuments createRequestSignatureDocuments() {
        return new RequestSignatureDocuments();
    }

    /**
     * Create an instance of {@link ChannelInfoType }
     * 
     */
    public ChannelInfoType createChannelInfoType() {
        return new ChannelInfoType();
    }

    /**
     * Create an instance of {@link Condition }
     * 
     */
    public Condition createCondition() {
        return new Condition();
    }

    /**
     * Create an instance of {@link TypeConditionData }
     * 
     */
    public TypeConditionData createTypeConditionData() {
        return new TypeConditionData();
    }

    /**
     * Create an instance of {@link DocumentsCatalogTelAct }
     * 
     */
    public DocumentsCatalogTelAct createDocumentsCatalogTelAct() {
        return new DocumentsCatalogTelAct();
    }

    /**
     * Create an instance of {@link TypeProcessUrlSvt }
     * 
     */
    public TypeProcessUrlSvt createTypeProcessUrlSvt() {
        return new TypeProcessUrlSvt();
    }

    /**
     * Create an instance of {@link Task.TaskInfo }
     * 
     */
    public Task.TaskInfo createTaskTaskInfo() {
        return new Task.TaskInfo();
    }

    /**
     * Create an instance of {@link GenerateWait }
     * 
     */
    public GenerateWait createGenerateWait() {
        return new GenerateWait();
    }

    /**
     * Create an instance of {@link WaitResultList }
     * 
     */
    public WaitResultList createWaitResultList() {
        return new WaitResultList();
    }

    /**
     * Create an instance of {@link TypeOnevent }
     * 
     */
    public TypeOnevent createTypeOnevent() {
        return new TypeOnevent();
    }

    /**
     * Create an instance of {@link BusinessTaskUrlList }
     * 
     */
    public BusinessTaskUrlList createBusinessTaskUrlList() {
        return new BusinessTaskUrlList();
    }

    /**
     * Create an instance of {@link TypePreconditionList }
     * 
     */
    public TypePreconditionList createTypePreconditionList() {
        return new TypePreconditionList();
    }

    /**
     * Create an instance of {@link PostalAddress }
     * 
     */
    public PostalAddress createPostalAddress() {
        return new PostalAddress();
    }

    /**
     * Create an instance of {@link GenericTaskData }
     * 
     */
    public GenericTaskData createGenericTaskData() {
        return new GenericTaskData();
    }

    /**
     * Create an instance of {@link CloseTaskData }
     * 
     */
    public CloseTaskData createCloseTaskData() {
        return new CloseTaskData();
    }

    /**
     * Create an instance of {@link NoticeList }
     * 
     */
    public NoticeList createNoticeList() {
        return new NoticeList();
    }

    /**
     * Create an instance of {@link Notice }
     * 
     */
    public Notice createNotice() {
        return new Notice();
    }

    /**
     * Create an instance of {@link Authorizations }
     * 
     */
    public Authorizations createAuthorizations() {
        return new Authorizations();
    }

    /**
     * Create an instance of {@link TaskList }
     * 
     */
    public TaskList createTaskList() {
        return new TaskList();
    }

    /**
     * Create an instance of {@link SvtParameterList }
     * 
     */
    public SvtParameterList createSvtParameterList() {
        return new SvtParameterList();
    }

    /**
     * Create an instance of {@link SvtParameter }
     * 
     */
    public SvtParameter createSvtParameter() {
        return new SvtParameter();
    }

    /**
     * Create an instance of {@link NotifyTaskData }
     * 
     */
    public NotifyTaskData createNotifyTaskData() {
        return new NotifyTaskData();
    }

    /**
     * Create an instance of {@link RequestDocumentTaskData }
     * 
     */
    public RequestDocumentTaskData createRequestDocumentTaskData() {
        return new RequestDocumentTaskData();
    }

    /**
     * Create an instance of {@link Tosigndocument }
     * 
     */
    public Tosigndocument createTosigndocument() {
        return new Tosigndocument();
    }

    /**
     * Create an instance of {@link LiquidacionTasasTaskData }
     * 
     */
    public LiquidacionTasasTaskData createLiquidacionTasasTaskData() {
        return new LiquidacionTasasTaskData();
    }

    /**
     * Create an instance of {@link Precondition }
     * 
     */
    public Precondition createPrecondition() {
        return new Precondition();
    }

    /**
     * Create an instance of {@link OpenTaskData }
     * 
     */
    public OpenTaskData createOpenTaskData() {
        return new OpenTaskData();
    }

    /**
     * Create an instance of {@link DocumentsExp }
     * 
     */
    public DocumentsExp createDocumentsExp() {
        return new DocumentsExp();
    }

    /**
     * Create an instance of {@link Svt }
     * 
     */
    public Svt createSvt() {
        return new Svt();
    }

    /**
     * Create an instance of {@link StudyTaskData }
     * 
     */
    public StudyTaskData createStudyTaskData() {
        return new StudyTaskData();
    }

    /**
     * Create an instance of {@link DocumentsCatalog }
     * 
     */
    public DocumentsCatalog createDocumentsCatalog() {
        return new DocumentsCatalog();
    }

    /**
     * Create an instance of {@link DocumentsCatalogTelActList }
     * 
     */
    public DocumentsCatalogTelActList createDocumentsCatalogTelActList() {
        return new DocumentsCatalogTelActList();
    }

    /**
     * Create an instance of {@link Situaciones }
     * 
     */
    public Situaciones createSituaciones() {
        return new Situaciones();
    }

    /**
     * Create an instance of {@link RegistryTaskData }
     * 
     */
    public RegistryTaskData createRegistryTaskData() {
        return new RegistryTaskData();
    }

    /**
     * Create an instance of {@link TypeEmail }
     * 
     */
    public TypeEmail createTypeEmail() {
        return new TypeEmail();
    }

    /**
     * Create an instance of {@link TDocumentsStorageList }
     * 
     */
    public TDocumentsStorageList createTDocumentsStorageList() {
        return new TDocumentsStorageList();
    }

    /**
     * Create an instance of {@link TExtensions }
     * 
     */
    public TExtensions createTExtensions() {
        return new TExtensions();
    }

    /**
     * Create an instance of {@link TInfoDocument }
     * 
     */
    public TInfoDocument createTInfoDocument() {
        return new TInfoDocument();
    }

    /**
     * Create an instance of {@link TNoAuthorizationDocumentsList }
     * 
     */
    public TNoAuthorizationDocumentsList createTNoAuthorizationDocumentsList() {
        return new TNoAuthorizationDocumentsList();
    }

    /**
     * Create an instance of {@link SignatureInfoData }
     * 
     */
    public SignatureInfoData createSignatureInfoData() {
        return new SignatureInfoData();
    }

    /**
     * Create an instance of {@link TypeField }
     * 
     */
    public TypeField createTypeField() {
        return new TypeField();
    }

    /**
     * Create an instance of {@link TypeWorkflowSvtParameter }
     * 
     */
    public TypeWorkflowSvtParameter createTypeWorkflowSvtParameter() {
        return new TypeWorkflowSvtParameter();
    }

    /**
     * Create an instance of {@link TDocumentsNoStorageList }
     * 
     */
    public TDocumentsNoStorageList createTDocumentsNoStorageList() {
        return new TDocumentsNoStorageList();
    }

    /**
     * Create an instance of {@link TypeWorkflowSvt }
     * 
     */
    public TypeWorkflowSvt createTypeWorkflowSvt() {
        return new TypeWorkflowSvt();
    }

    /**
     * Create an instance of {@link TDocumentsCommittedAboveList }
     * 
     */
    public TDocumentsCommittedAboveList createTDocumentsCommittedAboveList() {
        return new TDocumentsCommittedAboveList();
    }

    /**
     * Create an instance of {@link TDocumentInfo }
     * 
     */
    public TDocumentInfo createTDocumentInfo() {
        return new TDocumentInfo();
    }

    /**
     * Create an instance of {@link TSignerList }
     * 
     */
    public TSignerList createTSignerList() {
        return new TSignerList();
    }

    /**
     * Create an instance of {@link TypeWorkflowSvtParameterList }
     * 
     */
    public TypeWorkflowSvtParameterList createTypeWorkflowSvtParameterList() {
        return new TypeWorkflowSvtParameterList();
    }

    /**
     * Create an instance of {@link DocumentDescriptorData }
     * 
     */
    public DocumentDescriptorData createDocumentDescriptorData() {
        return new DocumentDescriptorData();
    }

    /**
     * Create an instance of {@link CheckSignatureInfoData }
     * 
     */
    public CheckSignatureInfoData createCheckSignatureInfoData() {
        return new CheckSignatureInfoData();
    }

    /**
     * Create an instance of {@link TElectronic }
     * 
     */
    public TElectronic createTElectronic() {
        return new TElectronic();
    }

    /**
     * Create an instance of {@link TPaper }
     * 
     */
    public TPaper createTPaper() {
        return new TPaper();
    }

    /**
     * Create an instance of {@link TSigner }
     * 
     */
    public TSigner createTSigner() {
        return new TSigner();
    }

    /**
     * Create an instance of {@link TDocumentsFolderInfo }
     * 
     */
    public TDocumentsFolderInfo createTDocumentsFolderInfo() {
        return new TDocumentsFolderInfo();
    }

    /**
     * Create an instance of {@link TAuthorizationDocumentsList }
     * 
     */
    public TAuthorizationDocumentsList createTAuthorizationDocumentsList() {
        return new TAuthorizationDocumentsList();
    }

    /**
     * Create an instance of {@link DescriptionType.Language }
     * 
     */
    public DescriptionType.Language createDescriptionTypeLanguage() {
        return new DescriptionType.Language();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/mbt/xml", name = "executionOK")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createExecutionOK(String value) {
        return new JAXBElement<String>(_ExecutionOK_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/mbt/xml", name = "inFailCase")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createInFailCase(String value) {
        return new JAXBElement<String>(_InFailCase_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/mbt/xml", name = "compare")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createCompare(String value) {
        return new JAXBElement<String>(_Compare_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "com/ejie/mbt/xml", name = "resptarea", scope = StudyTaskData.class)
    public JAXBElement<String> createStudyTaskDataResptarea(String value) {
        return new JAXBElement<String>(_StudyTaskDataResptarea_QNAME, String.class, StudyTaskData.class, value);
    }

}
